<?php
namespace Incoviba\Common\Controller;

use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Message\ResponseInterface as Response;
use Slim\Views\Blade as View;

class Facturas {
  public function __invoke(Request $request, Response $response, View $view): Response {
    return $view->render($response, 'facturas.list');
  }
  public function proyecto(Request $request, Response $response, View $view, $id_proyecto): Response {
    return $view->render($response, 'facturas.proyectos.list', compact('id_proyecto'));
  }
  public function proyecto_operador(Request $request, Response $response, View $view, $id_proyecto, $id_operador): Response {
    return $view->render($response, 'facturas.proyectos.operadores.list', compact('id_proyecto', 'id_operador'));
  }
}
